Package org.drinkless.tdlib

# Class TdApi.Location

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Location

Enclosing class:
  `TdApi`

public static class TdApi.Location extends TdApi.Object
Describes a location on planet Earth.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `double`
  `horizontalAccuracy`
  The estimated horizontal accuracy of the location, in meters; as defined by the sender.
  `double`
  `latitude`
  Latitude of the location in degrees; as defined by the sender.
  `double`
  `longitude`
  Longitude of the location, in degrees; as defined by the sender.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Location()`
  Describes a location on planet Earth.
  `Location(double latitude, double longitude, double horizontalAccuracy)`
  Describes a location on planet Earth.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### latitude

    public double latitude
    Latitude of the location in degrees; as defined by the sender.

  - ### longitude

    public double longitude
    Longitude of the location, in degrees; as defined by the sender.

  - ### horizontalAccuracy

    public double horizontalAccuracy
    The estimated horizontal accuracy of the location, in meters; as defined by the sender. 0 if unknown.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Location

    public Location()
    Describes a location on planet Earth.

  - ### Location

    public Location(double latitude, double longitude, double horizontalAccuracy)
    Describes a location on planet Earth.
    Parameters:
      `latitude` - Latitude of the location in degrees; as defined by the sender.
      `longitude` - Longitude of the location, in degrees; as defined by the sender.
      `horizontalAccuracy` - The estimated horizontal accuracy of the location, in meters; as defined by the sender. 0 if unknown.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR